%{?mingw_package_header}

Name:           mingw-pango
Version:        1.56.3
Release:        %mkrel 2
Summary:        MinGW Windows Pango library

License:        LGPLv2+
Group:          Development/Other
URL:            https://www.pango.org/
# first two digits of version
%global release_version %(echo %{version} | awk -F. '{print $1"."$2}')
Source0:        https://download.gnome.org/sources/pango/%{release_version}/pango-%{version}.tar.xz

# Make the dependencies on freetype and fontconfig runtime dependencies
# FIXME: See TODO in patch
#Patch1001:      pango-enable-delay-load-of-freetype-and-fontconfig.patch

BuildArch:      noarch

BuildRequires:  mingw32-filesystem >= 95
BuildRequires:  mingw32-gcc
BuildRequires:  mingw32-gcc-c++
BuildRequires:  mingw32-binutils
BuildRequires:  mingw32-cairo
BuildRequires:  mingw32-expat
BuildRequires:  mingw32-fontconfig
BuildRequires:  mingw32-freetype
BuildRequires:  mingw32-fribidi
BuildRequires:  mingw32-gettext
BuildRequires:  mingw32-glib2
BuildRequires:  mingw32-win-iconv
BuildRequires:  mingw32-libpng
BuildRequires:  mingw32-pixman
BuildRequires:  mingw32-harfbuzz

BuildRequires:  mingw64-filesystem >= 95
BuildRequires:  mingw64-gcc
BuildRequires:  mingw64-gcc-c++
BuildRequires:  mingw64-binutils
BuildRequires:  mingw64-cairo
BuildRequires:  mingw64-expat
BuildRequires:  mingw64-fontconfig
BuildRequires:  mingw64-freetype
BuildRequires:  mingw64-fribidi
BuildRequires:  mingw64-gettext
BuildRequires:  mingw64-glib2
BuildRequires:  mingw64-win-iconv
BuildRequires:  mingw64-libpng
BuildRequires:  mingw64-pixman
BuildRequires:  mingw64-harfbuzz

BuildRequires:  pkgconfig
BuildRequires:  meson
BuildRequires:  gcc-c++

# Needed for the delay-load patch
# BuildRequires:  mingw-w64-tools


%description
MinGW Windows Pango library.


# Win32
%package -n mingw32-pango
Summary:        MinGW Windows Pango library
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw32-pango
MinGW Windows Pango library.

%package -n mingw32-pango-static
Summary:        Static version of the MinGW Windows Pango library
Group:          Development/Other
Requires:       mingw32-pango = %{version}-%{release}

%description -n mingw32-pango-static
Static version of the MinGW Windows Pango library.

# Win64
%package -n mingw64-pango
Summary:        MinGW Windows Pango library
Group:          Development/Other
Requires:       pkgconfig

%description -n mingw64-pango
MinGW Windows Pango library.

%package -n mingw64-pango-static
Summary:        Static version of the MinGW Windows Pango library
Group:          Development/Other
Requires:       mingw64-pango = %{version}-%{release}

%description -n mingw64-pango-static
Static version of the MinGW Windows Pango library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n pango-%{version}


%build
%mingw_meson --default-library=both -Dintrospection=disabled -Dgtk_doc=false -Dfontconfig=enabled
%mingw_ninja


%install
%mingw_ninja_install

mkdir -p %{buildroot}%{mingw32_sysconfdir}/pango/
mkdir -p %{buildroot}%{mingw64_sysconfdir}/pango/


# Win32
%files -n mingw32-pango
%license COPYING
%{mingw32_bindir}/libpango-1.0-0.dll
%{mingw32_bindir}/libpangocairo-1.0-0.dll
%{mingw32_bindir}/libpangoft2-1.0-0.dll
%{mingw32_bindir}/libpangowin32-1.0-0.dll
%{mingw32_bindir}/pango-list.exe
%{mingw32_bindir}/pango-segmentation.exe
%{mingw32_bindir}/pango-view.exe
%{mingw32_includedir}/pango-1.0/
%{mingw32_libdir}/libpango-1.0.dll.a
%{mingw32_libdir}/libpangocairo-1.0.dll.a
%{mingw32_libdir}/libpangoft2-1.0.dll.a
%{mingw32_libdir}/libpangowin32-1.0.dll.a
%{mingw32_libdir}/pkgconfig/pango.pc
%{mingw32_libdir}/pkgconfig/pangocairo.pc
%{mingw32_libdir}/pkgconfig/pangofc.pc
%{mingw32_libdir}/pkgconfig/pangoft2.pc
%{mingw32_libdir}/pkgconfig/pangoot.pc
%{mingw32_libdir}/pkgconfig/pangowin32.pc
%{mingw32_sysconfdir}/pango/

%files -n mingw32-pango-static
%{mingw32_libdir}/libpango-1.0.a
%{mingw32_libdir}/libpangocairo-1.0.a
%{mingw32_libdir}/libpangoft2-1.0.a
%{mingw32_libdir}/libpangowin32-1.0.a

# Win64
%files -n mingw64-pango
%license COPYING
%{mingw64_bindir}/libpango-1.0-0.dll
%{mingw64_bindir}/libpangocairo-1.0-0.dll
%{mingw64_bindir}/libpangoft2-1.0-0.dll
%{mingw64_bindir}/libpangowin32-1.0-0.dll
%{mingw64_bindir}/pango-list.exe
%{mingw64_bindir}/pango-segmentation.exe
%{mingw64_bindir}/pango-view.exe
%{mingw64_includedir}/pango-1.0/
%{mingw64_libdir}/libpango-1.0.dll.a
%{mingw64_libdir}/libpangocairo-1.0.dll.a
%{mingw64_libdir}/libpangoft2-1.0.dll.a
%{mingw64_libdir}/libpangowin32-1.0.dll.a
%{mingw64_libdir}/pkgconfig/pango.pc
%{mingw64_libdir}/pkgconfig/pangocairo.pc
%{mingw64_libdir}/pkgconfig/pangofc.pc
%{mingw64_libdir}/pkgconfig/pangoft2.pc
%{mingw64_libdir}/pkgconfig/pangoot.pc
%{mingw64_libdir}/pkgconfig/pangowin32.pc
%{mingw64_sysconfdir}/pango/

%files -n mingw64-pango-static
%{mingw64_libdir}/libpango-1.0.a
%{mingw64_libdir}/libpangocairo-1.0.a
%{mingw64_libdir}/libpangoft2-1.0.a
%{mingw64_libdir}/libpangowin32-1.0.a



%changelog
* Mon Jul 07 2025 umeabot <umeabot> 1.56.3-2.mga10
+ Revision: 2248593
- Mageia 10 Mass Rebuild

* Tue Mar 18 2025 daviddavid <daviddavid> 1.56.3-1.mga10
+ Revision: 2165990
- new version: 1.56.3

* Wed Jan 22 2025 daviddavid <daviddavid> 1.56.1-1.mga10
+ Revision: 2140420
- new version: 1.56.1

* Wed Jan 15 2025 daviddavid <daviddavid> 1.56.0-1.mga10
+ Revision: 2139040
- new version: 1.56.0

* Mon Jun 17 2024 daviddavid <daviddavid> 1.54.0-1.mga10
+ Revision: 2074655
- new version: 1.54.0

* Mon May 06 2024 daviddavid <daviddavid> 1.52.2-1.mga10
+ Revision: 2062441
- new version: 1.52.2

* Fri Oct 13 2023 daviddavid <daviddavid> 1.51.0-1.mga10
+ Revision: 1995938
- new version: 1.51.0

* Mon Nov 21 2022 daviddavid <daviddavid> 1.50.12-1.mga9
+ Revision: 1909739
- new version 1.50.12

* Sat Mar 26 2022 umeabot <umeabot> 1.48.10-2.mga9
+ Revision: 1827970
- Mageia 9 Mass Rebuild

* Sat Sep 11 2021 ovitters <ovitters> 1.48.10-1.mga9
+ Revision: 1745160
- new version 1.48.10

* Wed Aug 18 2021 tv <tv> 1.48.9-1.mga9
+ Revision: 1741874
- Fix filelist
+ ovitters <ovitters>
- new version 1.48.9
- new version 1.48.8
- new version 1.48.7

* Tue May 18 2021 ovitters <ovitters> 1.48.5-1.mga9
+ Revision: 1725443
- new version 1.48.5

* Sat Mar 27 2021 ovitters <ovitters> 1.48.4-1.mga9
+ Revision: 1710794
- new version 1.48.4

* Thu Mar 11 2021 ovitters <ovitters> 1.48.3-1.mga9
+ Revision: 1701617
- new version 1.48.3

* Thu Feb 11 2021 ovitters <ovitters> 1.48.2-1.mga9
+ Revision: 1675148
- new version 1.48.2
- new version 1.48.1

* Wed Nov 18 2020 ovitters <ovitters> 1.48.0-1.mga8
+ Revision: 1646974
- new version 1.48.0

* Wed Sep 30 2020 ovitters <ovitters> 1.47.0-1.mga8
+ Revision: 1631300
- new version 1.47.0

* Sat Sep 26 2020 tv <tv> 1.46.2-2.mga8
+ Revision: 1630218
- rebuild for new mingw stack

* Fri Sep 18 2020 ovitters <ovitters> 1.46.2-1.mga8
+ Revision: 1628641
- new version 1.46.2

* Thu Aug 20 2020 ovitters <ovitters> 1.46.1-1.mga8
+ Revision: 1616593
- new version 1.46.1

* Mon Aug 10 2020 ovitters <ovitters> 1.46.0-1.mga8
+ Revision: 1613128
- new version 1.46.0

* Wed Aug 05 2020 ovitters <ovitters> 1.45.5-1.mga8
+ Revision: 1611292
- new version 1.45.5

* Thu Jul 30 2020 ovitters <ovitters> 1.45.4-1.mga8
+ Revision: 1609925
- new version 1.45.4

* Mon Jun 22 2020 ovitters <ovitters> 1.45.3-1.mga8
+ Revision: 1598493
- new version 1.45.3

* Thu Jun 11 2020 ovitters <ovitters> 1.45.2-1.mga8
+ Revision: 1592624
- new version 1.45.2

* Tue Jun 09 2020 ovitters <ovitters> 1.45.1-1.mga8
+ Revision: 1591243
- new version 1.45.1

* Mon Feb 17 2020 umeabot <umeabot> 1.44.7-2.mga8
+ Revision: 1537106
- Mageia 8 Mass Rebuild

* Fri Oct 25 2019 ovitters <ovitters> 1.44.7-1.mga8
+ Revision: 1455706
- new version 1.44.7

* Tue Sep 03 2019 ovitters <ovitters> 1.44.6-1.mga8
+ Revision: 1436631
- new version 1.44.6

* Fri Aug 30 2019 daviddavid <daviddavid> 1.44.5-1.mga8
+ Revision: 1435265
- new version: 1.44.5
- switch to meson build system

* Tue Jul 02 2019 ovitters <ovitters> 1.40.14-1.mga8
+ Revision: 1417636
- new version 1.40.14

* Sun Oct 21 2018 umeabot <umeabot> 1.40.12-1.mga7
+ Revision: 1323206
- Mageia 7 Mass Rebuild
+ ovitters <ovitters>
- new version 1.40.12
- new version 1.40.11
- new version 1.40.10
- new version 1.40.9
- new version 1.40.8
- new version 1.40.7
- new version 1.40.6
- new version 1.40.2

* Mon Apr 11 2016 ovitters <ovitters> 1.40.1-1.mga6
+ Revision: 1000378
- new version 1.40.1

* Mon Apr 11 2016 tv <tv> 1.40.0-1.mga6
+ Revision: 1000300
- relist pangoft2
- new release

* Tue Apr 05 2016 tv <tv> 1.38.1-1.mga6
+ Revision: 998672
- adjust file list: there's no pangoft2
- new release

* Thu Feb 18 2016 umeabot <umeabot> 1.36.8-2.mga6
+ Revision: 965661
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 ovitters <ovitters> 1.36.8-1.mga6
+ Revision: 836549
- new version 1.36.8

* Wed Oct 15 2014 umeabot <umeabot> 1.36.5-3.mga5
+ Revision: 748180
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.36.5-2.mga5
+ Revision: 682505
- Mageia 5 Mass Rebuild

* Tue Jun 24 2014 ovitters <ovitters> 1.36.5-1.mga5
+ Revision: 639387
- new version 1.36.5
- new version 1.36.4

* Tue Mar 18 2014 ovitters <ovitters> 1.36.3-1.mga5
+ Revision: 604688
- new version 1.36.3

* Tue Feb 04 2014 ovitters <ovitters> 1.36.2-1.mga5
+ Revision: 582446
- new version 1.36.2

* Mon Nov 11 2013 ovitters <ovitters> 1.36.1-1.mga4
+ Revision: 550528
- new version 1.36.1

* Sat Oct 26 2013 neoclust <neoclust> 1.36.0-1.mga4
+ Revision: 547026
- imported package mingw-pango


* Tue Sep 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.36.0-1
- Update to 1.36.0

* Sat Sep  7 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.35.3-1
- Update to 1.35.3

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.35.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Jun 26 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.35.0-1
- Update to 1.35.0

* Sun Jun 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.34.1-2
- Rebuild to resolve InterlockedCompareExchange regression in mingw32 libraries

* Sun Jun 09 2013 Kalev Lember <kalevlember@gmail.com> - 1.34.1-1
- Update to 1.34.1

* Tue Mar 26 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.34.0-1
- Update to 1.34.0

* Sun Mar 24 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.33.9-1
- Update to 1.33.9

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.32.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jan 16 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.6-1
- Update to 1.32.6

* Sun Jan  6 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.5-1
- Update to 1.32.5

* Wed Nov 21 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.3-1
- Update to 1.32.3

* Fri Oct  5 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.32.1-1
- Update to 1.32.1

* Fri Sep 21 2012 Kalev Lember <kalevlember@gmail.com> - 1.31.0-2
- Build the basic-win32 engine in statically
- Update the pango.modules file for 1.8.0 module ABI

* Sat Aug 25 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.31.0-1
- Update to 1.31.0
- Added BR: mingw32-harfbuzz/mingw64-harfbuzz

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.30.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat May 26 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.30.0-3
- Use the proper configure flag to enable delay-load support

* Sun May 20 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.30.0-2
- Make fontconfig and freetype runtime dependencies instead of hard dependencies

* Wed Mar 28 2012 Kalev Lember <kalevlember@gmail.com> - 1.30.0-1
- Update to 1.30.0
- Regenerate pango.modules

* Sun Mar 11 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.29.5-4
- Added win64 support

* Tue Mar 06 2012 Kalev Lember <kalevlember@gmail.com> - 1.29.5-3
- Renamed the source package to mingw-pango (#800444)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.29.5-2
- Rebuild against the mingw-w64 toolchain

* Tue Jan 31 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.29.5-1
- Update to 1.29.5
- Dropped all .la files
- Dropped the .dll.a files for all pango modules
- Dropped upstream patch
- Rebuild against libpng 1.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.29.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Fri Sep 30 2011 Kalev Lember <kalevlember@gmail.com> - 1.29.4-1
- Update to 1.29.4
- Dropped upstreamed fallback engine patch

* Tue Aug 30 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.29.3-1
- Update to 1.29.3
- Dropped the dependency on the autotools by rewriting the patch
- Added two patches from Kalev Lember to fix a crash on Win32. GNOME Bug #653985

* Sun Jul 10 2011 Kalev Lember <kalevlember@gmail.com> - 1.28.4-4
- Stop using G_CONST_RETURN
- Use automatic mingw dep extraction
- Cleaned up the spec file for modern rpmbuild
- Removed the .def files

* Wed Jul 06 2011 Kalev Lember <kalevlember@gmail.com> - 1.28.4-3
- Rebuilt against win-iconv

* Mon May 23 2011 Kalev Lember <kalev@smartlink.ee> - 1.28.4-2
- Removed devhelp documentation which duplicates what is in base Fedora

* Wed Apr 27 2011 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.28.4-1
- Update to 1.28.4

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.28.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sun Nov  7 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.28.3-1
- Update to 1.28.3
- Rebuild in order to have soft dependency on libintl

* Sun Jul  4 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.28.1-1
- Update to 1.28.1

* Fri Jun 11 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.28.0-1
- Update to 1.28.0

* Wed Feb 24 2010 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.27.1-1
- Update to 1.27.1

* Mon Sep 21 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.26.0-1
- Update to 1.26.0
- Use relative paths instead of absolute paths in the pango.modules file

* Fri Sep 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.25.6-2
- Rebuild because of broken mingw32-gcc/mingw32-binutils

* Tue Sep  8 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.25.6-1
- Update to 1.25.6

* Mon Aug 24 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.25.5-1
- Update to 1.25.5

* Tue Aug 18 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.25.4-1
- Update to 1.25.4
- Drop upstreamed patches

* Fri Aug 14 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.25.3-1
- Update to 1.25.3
- Drop upstreamed patch
- Added some (already upstreamed) patches to get pango compiled on mingw32

* Thu Aug 13 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.25.2-1
- Update to 1.25.2
- Added BR: mingw32-gcc-c++
- Automatically generate debuginfo subpackage

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.24.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Jun 10 2009 Erik van Pienbroek <epienbro@fedoraproject.org> - 1.24.2-1
- Update to 1.24.2
- Use %%global instead of %%define

* Mon Mar  9 2009 Richard W.M. Jones <rjones@redhat.com> - 1.23.0-1
- Remove man page which duplicates what is in base Fedora.
- Rebase to 1.23.0 to match Fedora.
- +BR mingw32-dlfcn.

* Fri Feb 20 2009 Erik van Pienbroek <info@nntpgrab.nl> - 1.22.1-6
- Added -static subpackage

* Fri Feb 20 2009 Richard W.M. Jones <rjones@redhat.com> - 1.22.1-5
- Rebuild for mingw32-gcc 4.4

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 1.22.1-4
- Requires pkgconfig.

* Tue Jan 27 2009 Levente Farkas <lfarkas@lfarkas.org> - 1.22.1-3
- Include license file in documentation section.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 1.22.1-2
- Disable static libraries.
- Use _smp_mflags.

* Fri Oct 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.22.1-1
- New upstream version 1.22.1.
- BR cairo >= 1.8.0 because of important fixes.

* Wed Sep 24 2008 Richard W.M. Jones <rjones@redhat.com> - 1.21.6-6
- Rename mingw -> mingw32.

* Tue Sep 23 2008 Daniel P. Berrange <berrange@redhat.com> - 1.21.6-5
- Remove use of wine in %%-post.

* Thu Sep 11 2008 Daniel P. Berrange <berrange@redhat.com> - 1.21.6-4
- Add dep on pkgconfig

* Thu Sep 11 2008 Richard W.M. Jones <rjones@redhat.com> - 1.21.6-3
- post/preun scripts to update the pango.modules list.

* Wed Sep 10 2008 Richard W.M. Jones <rjones@redhat.com> - 1.21.6-2
- Run the correct glib-mkenums.

* Tue Sep  9 2008 Daniel P. Berrange <berrange@redhat.com> - 1.21.6-1
- Initial RPM release
